---
title: "UserInfo Endpoint"
slug: "userinfo-endpoint"
updated: 2025-01-20T10:30:48Z
published: 2025-01-20T10:30:48Z
canonical: "docs.connect.visma.com/userinfo-endpoint"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect.visma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# UserInfo Endpoint

When Identity Scopes are used in the authentication request, your application can retrieve additional information about the authenticated user from the userinfo endpoint. The application needs to use the obtained Access Token when calling this endpoint.

Example:

```http
curl --request GET --url https://connect.visma.com/connect/userinfo --header 'authorization: Bearer [YOUR_ACCESS_TOKEN]'
```

```json
{ 
 "sub": "1072cd43-d99a-4d44-84a2-5f80720c1a19", 
 "name": "John Doe",
 "given_name": "John",
 "family_name": "Doe",
 "email": "john.doe@visma.com",
 "email_verified": true,
 "idp": "Visma Connect", 
 "auth_time": "1472622102",
 "sid": "11474d36-22a3-40d8-925d-21af17826e38",
 "roles": ["admin", "employee"]
}
```

> [!NOTE]
> The claims returned by userinfo endpoint depend on the [Identity Scopes](https://docs.connect.visma.com/docs/create-your-application#identity-scopes) used on the authentication request.
